spring:
  application:
    name: legalconsenthub

  datasource:
    hikari:
      auto-commit: false
    url: jdbc:h2:mem:legalconsenthub-database
    username: user
    password: pw

  jpa:
    show-sql: true
    hibernate:
      ddl-auto: create
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    properties:
      hibernate:
        format_sql: true
        jdbc:
          batch_size: 100
          order_inserts: true
          enable_lazy_load_no_trans: true

  liquibase:
    enabled: true
    drop-first: false
    change-log: classpath:/db/changelog/db.changelog-master.yaml
    default-schema: public

  sql:
    init:
      platform: h2

  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: http://localhost:7080/realms/legalconsenthub
          jwk-set-uri: http://localhost:7080/realms/legalconsenthub/protocol/openid-connect/certs
